> This page is for Developer Documentation.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.benchling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.benchling.com/_mcp/server.

# Get a Legacy Request's fulfillment

GET https://{tenant_name}.benchling.com/api/v2/request-fulfillments/{request_fulfillment_id}

Get a Legacy Request's fulfillment

Reference: https://docs.benchling.com/docs/api/v2/benchling-api/legacy-requests/get-request-fulfillment

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `request_fulfillment_id` (string, required)

## Response

### 200

OK

- `createdAt` (datetime, optional) — Date and time the Legacy Request Fulfillment was created
- `entryId` (string, optional) — ID of the entry this Legacy Request Fulfillment was executed in, if any
- `id` (string, optional) — ID of the Legacy Request Fulfillment
- `modifiedAt` (datetime, optional) — DateTime the Legacy Request Fulfillment was last modified
- `requestId` (string, optional) — ID of the Legacy Request this fulfillment fulfills
- `sampleGroup` (SampleGroup, optional, nullable) — The Legacy Request Sample Group this fulfillment was executed upon, if any.
- `status` (enum, optional) — Status of a sample group
  - Allowed values: `IN_PROGRESS`, `COMPLETED`, `FAILED`

## Errors

### 404 Not Found Error

Not Found

- `error` (NotFoundErrorError, optional)

## Types

### SampleGroup

Represents a sample group that is an input to a request. A sample group is a set of samples upon which work in the request should be done.

- `id` (string, optional)
- `samples` (SampleGroupSamples, optional)

### NotFoundErrorError

- `message` (string, optional)
- `type` (enum, optional)
  - Allowed values: `invalid_request_error`
- `userMessage` (string, optional)
- `invalidId` (string, optional)

### SampleGroupSamples

## Examples

**Response**

```json
{
  "createdAt": "2024-01-15T09:30:00Z",
  "entryId": "etr_IKwdYx31",
  "id": "reqffm_8Hm71Usw",
  "modifiedAt": "2024-01-15T09:30:00Z",
  "requestId": "req_pu9caSiv",
  "sampleGroup": {
    "id": "string",
    "samples": {}
  },
  "status": "IN_PROGRESS"
}
```

**SDK Code**

```python
import requests

url = "https://{tenant_name}.benchling.com/api/v2/request-fulfillments/reqffm_8Hm71Usw"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://{tenant_name}.benchling.com/api/v2/request-fulfillments/reqffm_8Hm71Usw';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```